title: Antrag
description: Die Repräsentation eines Antrags
type: object
required:
  - destinationId
  - applicationId
  - attachments
  - currentStatus
properties:
  destinationId:
    type: string
    format: uuid
    minLength: 32
    maxLength: 36
  applicationId:
    description: ID des Antrags
    type: string
    format: uuid
    minLength: 32
    maxLength: 36
  attachments:
    type: array
    items:
      type: string
      format: uuid
      minLength: 32
      maxLength: 36
  currentStatus:
    $ref: './application-state.yml'
  encryptedMetadata:
    title: JWE Encrypted Message
    description: 'Content that is encrypted with JSON Web Encryption Compact Serialization, RFC 7516'
    type: string
    pattern: '^[a-zA-Z0-9-_=.]+$'
  encryptedData:
    title: JWE Encrypted Message
    description: 'Content that is encrypted with JSON Web Encryption Compact Serialization, RFC 7516'
    type: string
    pattern: '^[a-zA-Z0-9-_=.]+$'
  statusHistory:
    type: array
    items:
      $ref: './state-transition.yml'
  announcedContentStructure:
    type: object
    required:
      - data
      - attachments
    properties:
      data:
        type: boolean
      attachments:
        type: array
        minItems: 0
        items:
          type: string
          format: uuid
          minLength: 32
          maxLength: 36
